(function () {

if (!app.selection || !app.selection.length)
	return;

return({
	version: 1,
	setup: {
		title: "Change Policy Expiration",
		id: "com.sassafras.expiration",
		fields: [
			{
				id: "expiration",
				label: "Set Expiration To:",
				type: "text",
				default: localStorage.getItem("expiration")
			},
			{
				label: "Date Format YYYY-MM-DD",
				type: "note"
			}
		]
	},
	proceed: function (params) {
		localStorage.setItem("expiration", params.expiration);
		app.selection.forEach(function (obj) {
			if (!params.expiration || params.expiration.toString().toLowerCase().localeCompare("never") == 0)
				obj.expiration = 0;
			else
				obj.expiration = new Date(params.expiration + "T11:00:00");
			obj.commit();
		});
	}
});

})();
